MagickWand: pixel-wand.c File Reference

# pixel-wand.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/magick-wand-private.h"`
`#include "wand/pixel-wand-private.h"`
`#include "wand/wand.h"`

## Data Structures
struct | _PixelWand
## Defines
#define | PixelWandId "PixelWand"
## Functions
WandExport void | ClearPixelWand (PixelWand *wand)
WandExport PixelWand * | ClonePixelWand (const PixelWand *wand)
WandExport PixelWand ** | ClonePixelWands (const PixelWand **wands, const unsigned long number_wands)
WandExport PixelWand * | DestroyPixelWand (PixelWand *wand)
WandExport PixelWand ** | DestroyPixelWands (PixelWand **wand, const unsigned long number_wands)
WandExport MagickBooleanType | IsPixelWandSimilar (PixelWand *p, PixelWand *q, const double fuzz)
WandExport MagickBooleanType | IsPixelWand (const PixelWand *wand)
WandExport PixelWand * | NewPixelWand (void)
WandExport PixelWand ** | NewPixelWands (const unsigned long number_wands)
WandExport MagickBooleanType | PixelClearException (PixelWand *wand)
WandExport double | PixelGetAlpha (const PixelWand *wand)
WandExport Quantum | PixelGetAlphaQuantum (const PixelWand *wand)
WandExport double | PixelGetBlack (const PixelWand *wand)
WandExport Quantum | PixelGetBlackQuantum (const PixelWand *wand)
WandExport double | PixelGetBlue (const PixelWand *wand)
WandExport Quantum | PixelGetBlueQuantum (const PixelWand *wand)
WandExport char * | PixelGetColorAsString (const PixelWand *wand)
WandExport char * | PixelGetColorAsNormalizedString (const PixelWand *wand)
WandExport unsigned long | PixelGetColorCount (const PixelWand *wand)
WandExport double | PixelGetCyan (const PixelWand *wand)
WandExport Quantum | PixelGetCyanQuantum (const PixelWand *wand)
WandExport char * | PixelGetException (const PixelWand *wand, ExceptionType *severity)
WandExport ExceptionType | PixelGetExceptionType (const PixelWand *wand)
WandExport double | PixelGetFuzz (const PixelWand *wand)
WandExport double | PixelGetGreen (const PixelWand *wand)
WandExport Quantum | PixelGetGreenQuantum (const PixelWand *wand)
WandExport void | PixelGetHSL (const PixelWand *wand, double *hue, double *saturation, double *luminosity)
WandExport IndexPacket | PixelGetIndex (const PixelWand *wand)
WandExport double | PixelGetMagenta (const PixelWand *wand)
WandExport Quantum | PixelGetMagentaQuantum (const PixelWand *wand)
WandExport void | PixelGetMagickColor (const PixelWand *wand, MagickPixelPacket *color)
WandExport double | PixelGetOpacity (const PixelWand *wand)
WandExport Quantum | PixelGetOpacityQuantum (const PixelWand *wand)
WandExport void | PixelGetQuantumColor (const PixelWand *wand, PixelPacket *color)
WandExport double | PixelGetRed (const PixelWand *wand)
WandExport Quantum | PixelGetRedQuantum (const PixelWand *wand)
WandExport double | PixelGetYellow (const PixelWand *wand)
WandExport Quantum | PixelGetYellowQuantum (const PixelWand *wand)
WandExport void | PixelSetAlpha (PixelWand *wand, const double alpha)
WandExport void | PixelSetAlphaQuantum (PixelWand *wand, const Quantum opacity)
WandExport void | PixelSetBlack (PixelWand *wand, const double black)
WandExport void | PixelSetBlackQuantum (PixelWand *wand, const Quantum black)
WandExport void | PixelSetBlue (PixelWand *wand, const double blue)
WandExport void | PixelSetBlueQuantum (PixelWand *wand, const Quantum blue)
WandExport MagickBooleanType | PixelSetColor (PixelWand *wand, const char *color)
WandExport void | PixelSetColorCount (PixelWand *wand, const unsigned long count)
WandExport void | PixelSetColorFromWand (PixelWand *wand, const PixelWand *color)
WandExport void | PixelSetCyan (PixelWand *wand, const double cyan)
WandExport void | PixelSetCyanQuantum (PixelWand *wand, const Quantum cyan)
WandExport void | PixelSetFuzz (PixelWand *wand, const double fuzz)
WandExport void | PixelSetGreen (PixelWand *wand, const double green)
WandExport void | PixelSetGreenQuantum (PixelWand *wand, const Quantum green)
WandExport void | PixelSetHSL (PixelWand *wand, const double hue, const double saturation, const double luminosity)
WandExport void | PixelSetIndex (PixelWand *wand, const IndexPacket index)
WandExport void | PixelSetMagenta (PixelWand *wand, const double magenta)
WandExport void | PixelSetMagentaQuantum (PixelWand *wand, const Quantum magenta)
WandExport void | PixelSetMagickColor (PixelWand *wand, const MagickPixelPacket *color)
WandExport void | PixelSetOpacity (PixelWand *wand, const double opacity)
WandExport void | PixelSetOpacityQuantum (PixelWand *wand, const Quantum opacity)
WandExport void | PixelSetQuantumColor (PixelWand *wand, const PixelPacket *color)
WandExport void | PixelSetRed (PixelWand *wand, const double red)
WandExport void | PixelSetRedQuantum (PixelWand *wand, const Quantum red)
WandExport void | PixelSetYellow (PixelWand *wand, const double yellow)
WandExport void | PixelSetYellowQuantum (PixelWand *wand, const Quantum yellow)

## Define Documentation

#define PixelWandId "PixelWand"

## Function Documentation

WandExport void ClearPixelWand | ( | PixelWand * | wand | ) |

WandExport PixelWand* ClonePixelWand | ( | const PixelWand * | wand | ) |

WandExport PixelWand** ClonePixelWands | ( | const PixelWand ** | wands,
|  | const unsigned long | number_wands |
| ) |  |  |

WandExport PixelWand* DestroyPixelWand | ( | PixelWand * | wand | ) |

WandExport PixelWand** DestroyPixelWands | ( | PixelWand ** | wand,
|  | const unsigned long | number_wands |
| ) |  |  |

WandExport MagickBooleanType IsPixelWand | ( | const PixelWand * | wand | ) |

WandExport MagickBooleanType IsPixelWandSimilar | ( | PixelWand * | p,
|  | PixelWand * | q,
|  | const double | fuzz |
| ) |  |  |

WandExport PixelWand* NewPixelWand | ( | void |  | ) |

WandExport PixelWand** NewPixelWands | ( | const unsigned long | number_wands | ) |

WandExport MagickBooleanType PixelClearException | ( | PixelWand * | wand | ) |

WandExport double PixelGetAlpha | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetAlphaQuantum | ( | const PixelWand * | wand | ) |

WandExport double PixelGetBlack | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetBlackQuantum | ( | const PixelWand * | wand | ) |

WandExport double PixelGetBlue | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetBlueQuantum | ( | const PixelWand * | wand | ) |

WandExport char* PixelGetColorAsNormalizedString | ( | const PixelWand * | wand | ) |

WandExport char* PixelGetColorAsString | ( | const PixelWand * | wand | ) |

WandExport unsigned long PixelGetColorCount | ( | const PixelWand * | wand | ) |

WandExport double PixelGetCyan | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetCyanQuantum | ( | const PixelWand * | wand | ) |

WandExport char* PixelGetException | ( | const PixelWand * | wand,
|  | ExceptionType * | severity |
| ) |  |  |

WandExport ExceptionType PixelGetExceptionType | ( | const PixelWand * | wand | ) |

WandExport double PixelGetFuzz | ( | const PixelWand * | wand | ) |

WandExport double PixelGetGreen | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetGreenQuantum | ( | const PixelWand * | wand | ) |

WandExport void PixelGetHSL | ( | const PixelWand * | wand,
|  | double * | hue,
|  | double * | saturation,
|  | double * | luminosity |
| ) |  |  |

WandExport IndexPacket PixelGetIndex | ( | const PixelWand * | wand | ) |

WandExport double PixelGetMagenta | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetMagentaQuantum | ( | const PixelWand * | wand | ) |

WandExport void PixelGetMagickColor | ( | const PixelWand * | wand,
|  | MagickPixelPacket * | color |
| ) |  |  |

WandExport double PixelGetOpacity | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetOpacityQuantum | ( | const PixelWand * | wand | ) |

WandExport void PixelGetQuantumColor | ( | const PixelWand * | wand,
|  | PixelPacket * | color |
| ) |  |  |

WandExport double PixelGetRed | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetRedQuantum | ( | const PixelWand * | wand | ) |

WandExport double PixelGetYellow | ( | const PixelWand * | wand | ) |

WandExport Quantum PixelGetYellowQuantum | ( | const PixelWand * | wand | ) |

WandExport void PixelSetAlpha | ( | PixelWand * | wand,
|  | const double | alpha |
| ) |  |  |

WandExport void PixelSetAlphaQuantum | ( | PixelWand * | wand,
|  | const Quantum | opacity |
| ) |  |  |

WandExport void PixelSetBlack | ( | PixelWand * | wand,
|  | const double | black |
| ) |  |  |

WandExport void PixelSetBlackQuantum | ( | PixelWand * | wand,
|  | const Quantum | black |
| ) |  |  |

WandExport void PixelSetBlue | ( | PixelWand * | wand,
|  | const double | blue |
| ) |  |  |

WandExport void PixelSetBlueQuantum | ( | PixelWand * | wand,
|  | const Quantum | blue |
| ) |  |  |

WandExport MagickBooleanType PixelSetColor | ( | PixelWand * | wand,
|  | const char * | color |
| ) |  |  |

WandExport void PixelSetColorCount | ( | PixelWand * | wand,
|  | const unsigned long | count |
| ) |  |  |

WandExport void PixelSetColorFromWand | ( | PixelWand * | wand,
|  | const PixelWand * | color |
| ) |  |  |

WandExport void PixelSetCyan | ( | PixelWand * | wand,
|  | const double | cyan |
| ) |  |  |

WandExport void PixelSetCyanQuantum | ( | PixelWand * | wand,
|  | const Quantum | cyan |
| ) |  |  |

WandExport void PixelSetFuzz | ( | PixelWand * | wand,
|  | const double | fuzz |
| ) |  |  |

WandExport void PixelSetGreen | ( | PixelWand * | wand,
|  | const double | green |
| ) |  |  |

WandExport void PixelSetGreenQuantum | ( | PixelWand * | wand,
|  | const Quantum | green |
| ) |  |  |

WandExport void PixelSetHSL | ( | PixelWand * | wand,
|  | const double | hue,
|  | const double | saturation,
|  | const double | luminosity |
| ) |  |  |

WandExport void PixelSetIndex | ( | PixelWand * | wand,
|  | const IndexPacket | index |
| ) |  |  |

WandExport void PixelSetMagenta | ( | PixelWand * | wand,
|  | const double | magenta |
| ) |  |  |

WandExport void PixelSetMagentaQuantum | ( | PixelWand * | wand,
|  | const Quantum | magenta |
| ) |  |  |

WandExport void PixelSetMagickColor | ( | PixelWand * | wand,
|  | const MagickPixelPacket * | color |
| ) |  |  |

WandExport void PixelSetOpacity | ( | PixelWand * | wand,
|  | const double | opacity |
| ) |  |  |

WandExport void PixelSetOpacityQuantum | ( | PixelWand * | wand,
|  | const Quantum | opacity |
| ) |  |  |

WandExport void PixelSetQuantumColor | ( | PixelWand * | wand,
|  | const PixelPacket * | color |
| ) |  |  |

WandExport void PixelSetRed | ( | PixelWand * | wand,
|  | const double | red |
| ) |  |  |

WandExport void PixelSetRedQuantum | ( | PixelWand * | wand,
|  | const Quantum | red |
| ) |  |  |

WandExport void PixelSetYellow | ( | PixelWand * | wand,
|  | const double | yellow |
| ) |  |  |

WandExport void PixelSetYellowQuantum | ( | PixelWand * | wand,
|  | const Quantum | yellow |
| ) |  |  |